GIT-LFS-INSTALL(1)

NAME
git-lfs-install - Install Git LFS configuration.

SYNOPSIS
git lfs install options

DESCRIPTION
Perform the following actions to ensure that Git LFS is setup properly:

•   Set up the clean and smudge filters under the name "lfs" in the global Git config.

•   Install a pre-push hook to run git-lfs-pre-push(1) for the current repository, if run from inside one. If "core.hooksPath" is configured in any Git configuration (and supported, i.e., the installed Git version is at least 2.9.0), then the pre-push hook will be installed to that directory instead.

OPTIONS
Without any options, git lfs install will only setup the "lfs" smudge and clean filters if they are not already set.

--force
    Sets the "lfs" smudge and clean filters, overwriting existing values.

--local
    Sets the "lfs" smudge and clean filters in the local repository's git config, instead of the global git config (~/.gitconfig).

--manual
    Print instructions for manually updating your hooks to include git-lfs functionality. Use this option if git lfs install fails because of existing hooks and you want to retain their functionality.

--system
    Sets the "lfs" smudge and clean filters in the system git config, e.g. /etc/gitconfig instead of the global git config (~/.gitconfig).

--skip-smudge
    Skips automatic downloading of objects on clone or pull. This requires a manual "git lfs pull" every time a new commit is checked out on your repository.

--skip-repo
    Skips setup of the local repo; use if you want to install the global lfs filters but not make changes to the current repo.

SEE ALSO
git-lfs-uninstall(1).

Part of the git-lfs(1) suite.